Kea: yy_buffer_state Struct Reference

| Kea 3.2.0-git

yy_buffer_state Struct Reference

## Public Attributes
int | yy_at_bol
int | yy_bs_column
| The column count.
int | yy_bs_lineno
| The line count.
char * | yy_buf_pos
int | yy_buf_size
int | yy_buffer_status
char * | yy_ch_buf
int | yy_fill_buffer
FILE * | yy_input_file
int | yy_is_interactive
int | yy_is_our_buffer
int | yy_n_chars

## Detailed Description

Definition at line 488 of file d2_lexer.cc.

## Member Data Documentation

## ◆ yy_at_bol

int yy_buffer_state::yy_at_bol

Definition at line 527 of file d2_lexer.cc.

Referenced by yy_flush_buffer(), and yy_scan_buffer().

## ◆ yy_bs_column

int yy_buffer_state::yy_bs_column

The column count.

Definition at line 530 of file d2_lexer.cc.

## ◆ yy_bs_lineno

int yy_buffer_state::yy_bs_lineno

The line count.

Definition at line 529 of file d2_lexer.cc.

## ◆ yy_buf_pos

char * yy_buffer_state::yy_buf_pos

Definition at line 498 of file d2_lexer.cc.

Referenced by yy_flush_buffer(), and yy_scan_buffer().

## ◆ yy_buf_size

int yy_buffer_state::yy_buf_size

Definition at line 503 of file d2_lexer.cc.

Referenced by yy_create_buffer(), and yy_scan_buffer().

## ◆ yy_buffer_status

int yy_buffer_state::yy_buffer_status

Definition at line 537 of file d2_lexer.cc.

Referenced by yy_flush_buffer(), and yy_scan_buffer().

## ◆ yy_ch_buf

char * yy_buffer_state::yy_ch_buf

Definition at line 497 of file d2_lexer.cc.

Referenced by yy_create_buffer(), yy_delete_buffer(), yy_flush_buffer(), and yy_scan_buffer().

## ◆ yy_fill_buffer

int yy_buffer_state::yy_fill_buffer

Definition at line 535 of file d2_lexer.cc.

Referenced by yy_scan_buffer().

## ◆ yy_input_file

FILE * yy_buffer_state::yy_input_file

Definition at line 491 of file d2_lexer.cc.

Referenced by yy_scan_buffer().

## ◆ yy_is_interactive

int yy_buffer_state::yy_is_interactive

Definition at line 521 of file d2_lexer.cc.

Referenced by yy_scan_buffer().

## ◆ yy_is_our_buffer

int yy_buffer_state::yy_is_our_buffer

Definition at line 514 of file d2_lexer.cc.

Referenced by yy_create_buffer(), yy_delete_buffer(), yy_scan_buffer(), and yy_scan_bytes().

## ◆ yy_n_chars

int yy_buffer_state::yy_n_chars

Definition at line 508 of file d2_lexer.cc.

Referenced by yy_flush_buffer(), and yy_scan_buffer().

The documentation for this struct was generated from the following files:

- d2_lexer.cc
- dhcp4_lexer.cc
- dhcp6_lexer.cc
- netconf_lexer.cc